<?php
###########################
#Скрипт: Топ-Рейтинг	  #
#Автор: SL_NeKrOmAnT      #
#Версия: 1.2.1(Free)      #
#ICQ: 313886              #
#MAIL: maloy_s95@mail.ru  #
###########################
define('NTOP', 1);
require_once ('connect.php');
require_once ('core.php');
require_once ('function.php');
$update = mysql_query("UPDATE `".$prefix."sait` SET `hosts` = '0', `hits` = '0', `in` = '0', `out` = '0'");
$saits = mysql_query("SELECT * FROM `".$prefix."sait`");
while($row = mysql_fetch_array($saits))
	{
		$pr=getPageRank($row['url']);
		$cy=intval(cy($row['url']));
		$up = mysql_query("UPDATE `".$prefix."sait` SET `pr`='".$pr."', `cy`='".$cy."' WHERE `id` = '".$row['id']."'");
	}
mysql_query("TRUNCATE TABLE `".$prefix."online`");
mysql_query("TRUNCATE TABLE `".$prefix."sait_online`");
mysql_query("OPTIMIZE TABLE  `".$prefix."online`");
mysql_query("OPTIMIZE TABLE  `".$prefix."sait_online`");
mysql_query("OPTIMIZE TABLE  `".$prefix."cat`");
mysql_query("OPTIMIZE TABLE  `".$prefix."go`");
mysql_query("OPTIMIZE TABLE  `".$prefix."hits`");
mysql_query("OPTIMIZE TABLE  `".$prefix."hosts`");
mysql_query("OPTIMIZE TABLE  `".$prefix."images`");
mysql_query("OPTIMIZE TABLE  `".$prefix."ip`");
mysql_query("OPTIMIZE TABLE  `".$prefix."ip_name`");
mysql_query("OPTIMIZE TABLE  `".$prefix."news`");
mysql_query("OPTIMIZE TABLE  `".$prefix."news_comments`");
mysql_query("OPTIMIZE TABLE  `".$prefix."reputation`");
mysql_query("OPTIMIZE TABLE  `".$prefix."sait_comments`");
mysql_query("OPTIMIZE TABLE  `".$prefix."sait`");
mysql_query("OPTIMIZE TABLE  `".$prefix."settings`");
mysql_query("OPTIMIZE TABLE  `".$prefix."users`");
$log = "Top Update: ".data(time())."\r\n";
$fp = fopen("top_log.ntop", "a");
fwrite($fp, $log);
fclose($fp);
?>
